package de.thd.pms.service;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Service;

import de.thd.pms.model.Buchung;
import de.thd.pms.model.Kunde;
import de.thd.pms.model.Zimmer;
import de.thd.pms.repository.BuchungRepository;

import de.thd.pms.repository.KundeRepository;

@Service
public class KundeService {
	
	@Autowired
	private KundeRepository kundeRepository;
	@Autowired
	private BuchungRepository buchungRepository;


	
	public void create(String vorname, String nachname, String email, Integer telefon, Long zimmerid) {
		Kunde k = new Kunde();
		k.setVorname(vorname);
		k.setNachname(nachname);
		k.setEmail(email);
		k.setTelefon(telefon);
		k.setZimmerid(zimmerid);
		kundeRepository.save(k);
	}

	public Kunde findById(Long id) {
		return kundeRepository.findById(id).get();
	}

	public Kunde save(Kunde kunde) {
		kundeRepository.save(kunde);
		return kunde;
	}
	
	public Iterable<Kunde> findAll() {
		return kundeRepository.findAll();
	}

	public void delete(Long kundeid) {
		Kunde k = kundeRepository.findById(kundeid).get();
			kundeRepository.delete(k);
	}
}
